/* 
 * \file        MaskRegion.cpp
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * The implementation of MaskRegion (Capelli99) class
 *
 * 
 */

#include <iostream>
#include "MaskRegion.h"

MaskRegion::MaskRegion() {
}

MaskRegion::MaskRegion(MaskVertex *p1, MaskVertex *p2, MaskVertex *p3) {
    
    vertices.push_back(p1);
    vertices.push_back(p2);
    vertices.push_back(p3);
    
    variance = 0;
    averageO = 0;
}


MaskRegion::~MaskRegion() {
    vertices.clear();
}

void MaskRegion::addVertex(MaskVertex *p) {
    vertices.push_back(p);
}


bool MaskRegion::  isInRegion(int xt, int yt) {
    
    int i, j, c = 0;
    for (i = 0, j = vertices.size() - 1; i < vertices.size(); j = i++) {
        if ( ((vertices[i]->getY()>yt) != (vertices[j]->getY()>yt)) &&
            (xt < (vertices[j]->getX()-vertices[i]->getX()) * 
                (yt-vertices[i]->getY()) / 
                (vertices[j]->getY()-vertices[i]->getY()) + vertices[i]->getX()) )
        c = !c;
    }
    return c;
    
     
}

void MaskRegion::print() {
    
    for (int i = 0; i < vertices.size(); i++) {
        vertices[i]->print();
        cout << " ";
    }
    cout << endl;
}