/* 
 * \file        MultiClassifierCappelli.h
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * Header file for MultiClassifierCappelli class
 *
 * 
 */

#ifndef MULTICLASSIFIERCAPPELLI_H
#define	MULTICLASSIFIERCAPPELLI_H

#include "PCASYSManager.h"

class MultiClassifierCappelli {
public:
    /* Default constructor */
    MultiClassifierCappelli();
    
    /* Default destructor */
    ~MultiClassifierCappelli();
    
    /**
     * It runs the feature extractor for the MultiClassifierCappelli method 
     * \param file The fingerprint image to be processed
     * \param pcasys pcasys manager
     * \return The feature vector
     */
    float *run(string file, PCASYSManager *pcasys);
    
    /**
     * It returns the feature vector's size
     * \return feature vector's size
     */
    int getDimFV() const;
    
private:
    int dimFV;                          //!< Dimension of feature vector
};

inline int MultiClassifierCappelli::getDimFV() const { return dimFV;}


#endif	/* MULTICLASSIFIERCAPPELLI_H */

