 /* 
 * \file        ParametersHongFE.h
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \author      Carlos Lopez Molina (carlos.lopez@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * The parameters for the algorithm of Hong  
 *
 * 
 */

#ifndef PARAMETERSHONGFE_H
#define	PARAMETERSHONGFE_H

/**
 * Size of the blocks for the orientation calculation
 */
const int orientationsBlockSizeHongFE = 8;

/*
 * Size of the window for orientations smoothing
 */
const int smoothOrientatioWHongFE = 5; // orientationSmoothW

/**
 * Number of discrete directions for the pseudoridge tracing
 */
const int numOfDiscreteDirectionsHongFE = 16;

/**
 * Max length (in pixels) of each arm of the pseudoridge
 */

const int pseudoRidgeMaxlengthHongFE = 100;

//Special feature values
const int location_absentHongFE = -1;
const int distance_absentHongFE = -1;
const int location_turnedHongFE = -1;
const int distance_turnedHongFE = -1;

const int marginHongFe = 120;           //!< Margin for maximum fingercode center displacement

const int rules_noCoreStripWidthHongFE = 80; //!< Distance from the border on which cores are not allowed (in pixels)
const int rules_noDeltaStripWidthHongFE = 40; //!< Distance from the border on which deltas are not allowed (in pixels)
const int rules_noDeltaTopStripWidthHongFE = 160; //!< Distance from the top of the image on which deltas are not allowed (in pixels)
const int rules_minCoreDeltaDistHongFE = 8; //!< inimum distance between delta and core points (in pixels)

const int curveWHongFE = 2; //!< Size of the digital curve to be used in poincare DEBERIA SER 5 y el otro 7 o 7 y 7!!!

const int smoothWPoincareHongFE = 3; //!< Size of the smoothing window to be used in poincaré if more than 2 cores or deltas are found and the curve has been decreased to 1 

const int rulesToBeAppliedHongFE = 2; //!< Karu rules are applied

const int minNBlocksHongFE = 0; //!< Minimum number of blocks needed to consider a core or delta as a singular point

const operationModePoincare poincareModeHongFE = increasingSmoothPoincare; //!< The operation prcedure for poincare



#endif	/* PARAMETERSHONGFE_H */

