/* 
 * \file        ParametersJain.h
 * \author      Mikel Galar Idoate 
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \author      Juan Cerrón González (juan.cerron@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * The declaration of the parameters used in Jain99
 *
 * 
 */


#ifndef PARAMETERSJAIN_H
#define	PARAMETERSJAIN_H

///////////////////////////////
// ORIGINAL JAIN/FINGER_CODE //
///////////////////////////////

const int defNumSectorsJain = 8;   // Default number of sectors for the original FingerCode
const int numBandsJain = 6;     // Number of bands
const int bandWidthJain = 20;   // Number of pixels per band

const int numGaborFiltersJain = 4;             // Number of filters (orientations) for the circular/original FingerCode
       
const int V0Jain = 100;  // Desired Variance     // Normalization parameters
const int M0Jain = 100;  // Desired Mean

const double gaborFrecuencyJain = 0.1;             // f, frecuency to construct the gabor filter; recommended value is 1 / K being K the distance between ridges, for 500dpi images, K = 10 pixels
const double gaborDXJain = 4.0;                    // bandwidth for the Gaussian in X 
const double gaborDYJain = 4.0;                    // bandwidth for the Gaussian in Y

const int gaborSupportXJain = 33;                // Support of the Gabor Filter
const int gaborSupportYJain = 33;                // Support of the Gabor Filter

const int centerDisplacementJain = 40;


#endif	/* PARAMETERSJAIN_H */

