/* 
 * \file        ParametersLiu.h
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * The parameters for the Liu algorithm 
 *
 * 
 */

#ifndef PARAMETERSLIU_H
#define	PARAMETERSLIU_H

const int blockSizeLiu = 8;                //!<  Size of the orientation image block (try with 5 and 16)

const float defCoherenceLiu = 0.25;       //!<  Coherence using by default when creating segmentation image.

const float defMeanLiu = 200;             //!<  Default mean using by default when creating segmentation image.

const float defVarianceLiu = 125;         //!<  Default variance using by default when creating segmentation image.

const int sMaxLiu = 4;                     //!<  Maximum window size for the smoothing

const double constThresholdLiu = 0.5;      //!<  Minimum threshold to consider the smoothing as valid

const int orderKLiu = 1;                        //!<  Order of the filter (with positive value, both + and - are created)

const int defNumScalesLiu = 4;             //!<  Default number of scales (filters) to be constructed

const int maxWindowSizeLiu = 1;            //!<  Size of the window to find the local maximums (1 = 3x3 window)

const int multiScaleWLiu = 2;              //!<  Window size for the multi-scale maximum search

const float coreThresholdLiu = 0.8;      //!<  Threshold to consider the filter response as singular point when finding cores

const float deltaThresholdLiu = 0.8;     //!<  Threshold to consider the filter response as singular point when finding deltas

#endif	/* PARAMETERSLIU_H */
