/* 
 * \file        ParametersPoincare.h
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * The declaration of the parameters used in NewPoincareSingularPoints
 *
 * 
 */


#ifndef PARAMETERSPOINCARE_H
#define	PARAMETERSPOINCARE_H

const int smoothOrientatioWPoincare = 3;       //!<  Default size of the smoothing window after the first computation of the orientation image in poincaré
const int curveWPoincare = 7; //!< Default size of the digital curve for the computation of the poincare index
const bool normalizePoincare = true; //!<  Whether to normalize the orientation field components or not
const int rulesPoincare = 1; //!< Whether to use karu rules in poincare or not
const int minNBlocksPoincare = 7;       //!< The minimum number of blocks needed to consider a core or delta point

const int defaultBlockSizePoincare = 16; //!< Default block size for the computation of the orientation map

const int varThresholdPoincare = 30;   //!< Threshold of the variance for the segmentation (minimum allowed)
const int meanThresholdPoincare = 130;  //!< Threshold of the mean for the segmentation (maximum allowed) 


const int maxSmoothPoincare = 10;               //!< Maximum smooths before finishing poincaré method if more than 2 cores or deltas are being found

const float thresholdSegmentationPoincare = 0.65;

const operationModePoincare poincareModePoincare = increasingSmoothPoincare; //!< The operation prcedure for poincare

const int desiredMeanPoincare = 100;            //!< Desired mean for the normalization of the segmentation method
const int desiredVariancePoincare = 1000;       //!< Desired variance for the normalization of the segmentation method


const float thresholdAreaRejectPoincare = 0.4;
const int defaultBlockSizeAreaPoincare = 8;

#endif	/* PARAMETERSPOINCARE_H */

