/* 
 * \file        WangCoreDeltaDetector.h
 * \author      Mikel Galar Idoate (mikel.galar@unavarra.es)
 * \author      Carlos Lopez Molina (carlos.lopez@unavarra.es)
 * \version     1.0
 * 
 * \section     DESCRIPTION
 * 
 * Header file for WangCoreDeltaDetector class
 *
 * 
 */

#ifndef WANGCOREDELTADETECTOR_H
#define	WANGCOREDELTADETECTOR_H

class WangCoreDeltaDetector {
public:
    WangCoreDeltaDetector();
    WangCoreDeltaDetector(float **coherence, float **oriImage, int hei, int wid, int bSize,bool overlapping);
    virtual ~WangCoreDeltaDetector();
    
    //Basic functions
    void findCoreDeltas();
    
    bool foundCoreDelta();
    int *getCoreDeltaPosition();
    
    
    void setPixelSegmentation(bool** segm);
    void setBlockwiseSegmentation(bool** segm);
    
    //Auxiliars
    void computePplus(int curveW);
    void findPMaxValue(int *posI,int *posJ);
    void findLocalMaxima(int centerI, int centerJ);
//    int *getMinimum(int posI, int posJ);
    
    void setKaruRulesForSPCleaning(bool flag);
    
private:

    bool existCoreDelta;
    float **coherence;
    float **oriImage;
    float **Pplus;
    int h;
    int w;
    int orH;
    int orW;
    int blockSize;
    int coredeltaI;
    int coredeltaJ;
    bool **recNeigh;
    
    bool **pixelSegmentation;
    bool **bwiseSegmentation;
    
    bool karuRules;
};

#endif	/* WANGCOREDELTADETECTOR_H */

